Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dv
Interface ValidationContext

All Known Implementing Classes:
  ValidationState

Deprecated. please use JDK supplied XML parsers and transformers

public interface ValidationContext

ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname

Method Summary
`void` | `addId(String name)` Deprecated.
`void` | `addIdRef(String name)` Deprecated.
`String` | `getSymbol(String symbol)` Deprecated.
`String` | `getURI(String prefix)` Deprecated.
`boolean` | `isEntityDeclared(String name)` Deprecated.
`boolean` | `isEntityUnparsed(String name)` Deprecated.
`boolean` | `isIdDeclared(String name)` Deprecated.
`boolean` | `needExtraChecking()` Deprecated.
`boolean` | `needFacetChecking()` Deprecated.
`boolean` | `needToNormalize()` Deprecated.

Method Detail

### addId

    public void addId(String name)

  Deprecated.

### addIdRef

    public void addIdRef(String name)

  Deprecated.

### getSymbol

    public String getSymbol(String symbol)

  Deprecated.

### getURI

    public String getURI(String prefix)

  Deprecated.

### isEntityDeclared

    public boolean isEntityDeclared(String name)

  Deprecated.

### isEntityUnparsed

    public boolean isEntityUnparsed(String name)

  Deprecated.

### isIdDeclared

    public boolean isIdDeclared(String name)

  Deprecated.

### needExtraChecking

    public boolean needExtraChecking()

  Deprecated.

### needFacetChecking

    public boolean needFacetChecking()

  Deprecated.

### needToNormalize

    public boolean needToNormalize()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD